Skip to Content

PATCH Orders

Gebruik dit endpoint om bestaande orders bij te werken.

Gebruikersniveau: Gevorderd

Endpoint

PATCH /v1/{scopeId}/orders/{id}
EigenschapWaarde
MethodPATCH
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:orders:write
Content-Typeapplication/json
Request bodyJSON object

Update-regels

  • De API controleert server-side of het record binnen de toegestane organization en branch valt.
  • Alleen expliciet toegestane velden mogen worden bijgewerkt.
  • Onbekende of niet-toegestane velden geven 400 invalid_update.

Toegestane updatevelden

Veld
account_id
order_date
status
total_weight_kg
total_volume_m3
total_packages

Voorbeeldrequest

curl -X PATCH "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/orders/0ea1dd6b-3a97-4284-a2b1-6c0f80a9ec39" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "status": "confirmed", "total_packages": 12 }'

Voorbeeldresponse

{ "data": { "id": "0ea1dd6b-3a97-4284-a2b1-6c0f80a9ec39", "account_id": "7ecf4b8d-8d1f-4a0f-8e57-6d8f14c6a221", "order_date": "2026-07-05", "status": "confirmed", "total_weight_kg": 1240, "total_volume_m3": 5.4, "total_packages": 12 }, "version": "v1" }

Foutresponse

{ "error": "invalid_update", "error_description": "One or more fields are not allowed for updates on orders" }

Mogelijke foutcodes

  • 400 invalid_request
  • 400 invalid_update
  • 401 unauthorized
  • 401 invalid_token
  • 403 invalid_token_type
  • 403 insufficient_scope
  • 404 not_found
  • 405 method_not_allowed

Gerelateerde pagina’s

  • API calls en voorbeelden
  • Setup guide
Last updated on